Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class CollectionStateManager

    java.lang.Object
      org.jboss.aspects.versioned.StateManager
          org.jboss.aspects.versioned.CollectionStateManager

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  DistributedListState, DistributedMapState, DistributedSetState

public abstract class CollectionStateManager
extends StateManager
implements Externalizable

Version:
  $Revision: 1.1.4.4 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected HashMap` | `methodMap`

Fields inherited from class org.jboss.aspects.versioned.StateManager
`guid, lock, log, STATE_MANAGER, timeout`

Constructor Summary
`protected` | `CollectionStateManager()`
`protected` | `CollectionStateManager(org.jboss.util.id.GUID guid, long timeout, HashMap methodMap)`

Method Summary
`abstract HashMap` | `getMethodMap()`
`Method` | `isManagerMethod(long hash)`
`Method` | `isManagerMethod(Method method)`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jboss.aspects.versioned.StateManager
`acquireReadLock, acquireWriteLock, getGUID, getLock, getStateManager, releaseReadLock, releaseWriteLock, setStateManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### methodMap

    protected HashMap methodMap

Constructor Detail

### CollectionStateManager

    protected CollectionStateManager()

### CollectionStateManager

    protected CollectionStateManager(org.jboss.util.id.GUID guid,
                                     long timeout,
                                     HashMap methodMap)

Method Detail

### getMethodMap

    public abstract HashMap getMethodMap()

### isManagerMethod

    public Method isManagerMethod(Method method)

### isManagerMethod

    public Method isManagerMethod(long hash)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `StateManager`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `StateManager`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.